Subject: Re: ps and kill
From: [email-masked] (Larry Hall)

6 Dec 1996 19:31:11 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 2.2 (32)
Original-To: "Ben Constable" <[email-masked]>, <[email-masked]>
Original-Sender: [email-masked]

At 03:02 AM 12/7/96 +1100, Ben Constable wrote:
>Just used the mentioned utilities. Why is it that the cygnus utilities have
>to have a different process number? When you run ps you get something like
>this:
>
>     PID     PPID  WIN32-PID   UID  COMMAND
>    1000     1000         44   500 
>c:\software\gnu\x86-cygwin32\H-i386-cygwin32\bin\bash.exe
>    1001     1000        158   500 
>c:\software\gnu\x86-cygwin32\H-i386-cygwin32\bin\ps.exe
>
>Why do we have 1000 and 1001 instead of 44 and 158? Since there are already
>utilities out there (such as those in the resource kit) which use these
>numbers, it makes sense to stick with them. Any reason to not use
>WIN32-PID's?

As I remember, the last time this issue came up, the Cygnus guys
agreed that the WIN32 ids were the way to go.  I believe they threw
out an open invitation to anyone that wanted to pick up on this one
but I didn't see any takers.  If you're interested, check with 
Geoffrey Noer to make sure someone hasn't started this already.

>Also, when I alt-tab to a command window with bash running, I get a 'T'
>entered into my window. Other people report similar things happening,
>although each person seems to have a different letter. I have not yet seen
>a reason for this on the list - is there an explanation?

If memory serves here, this is supposed to be fixed in b17.  I
don't recall any specific explanantion of the problem.  The problem
was introduced after the b14 release.

Larry

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".